Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000505graphvizDotpublic2004-10-25 00:002011-04-28 04:02
ReporterIan G Batten 
Assigned Toellson 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSReproduced on Linux Redhat 9.0 aOS Version
Summary0000505: Labelled Boxes give Incorrect Size
Description
It appears that the size of a box is not being picked up
           from the label. This worked correctly in dot 1.10.
Steps To Reproduce
b555.dot
Additional Information

[ellson} In what way is the size incorrect? Please send example output.

Did you build from source?
Are you using freetype and fontconfig? Please send output of "ldd dot"

[igb] The size of the box appears to be fixed, so that the label spills out.

On Solaris 10, yes. On Linux, I am using rpms taken from the
graphviz.org website. I have found that with, for example 1.12 things
work, with 1.16 they don't.

Install with: rpm --install --force graphviz-1.16-1.rh73.i386.rpm

Check version and ldd:

[igb@dhcp-172-16-48-184 fjwan]$ dot -V
dot version 1.16 (Tue Sep 14 22:21:57 UTC 2004)
[igb@dhcp-172-16-48-184 fjwan]$ type dot
dot is hashed (/usr/bin/dot)
[igb@dhcp-172-16-48-184 fjwan]$ ldd /usr/bin/dot
    libcommon.so.0 => /usr/lib/graphviz/libcommon.so.0 (0x40014000)
    libgvrender.so.0 => /usr/lib/graphviz/libgvrender.so.0 (0x4005f000)
    libdotgen.so.0 => /usr/lib/graphviz/libdotgen.so.0 (0x40063000)
    libgvgd.so.0 => /usr/lib/graphviz/libgvgd.so.0 (0x40086000)
    libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x400ef000)
    libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0x40141000)
    libpng.so.2 => /usr/lib/libpng.so.2 (0x4015f000)
    libexpat.so.0 => /usr/lib/libexpat.so.0 (0x40181000)
    libz.so.1 => /usr/lib/libz.so.1 (0x401a1000)
    libpathplan.so.0 => /usr/lib/graphviz/libpathplan.so.0 (0x401af000)
    libm.so.6 => /lib/libm.so.6 (0x401bb000)
    libgraph.so.0 => /usr/lib/graphviz/libgraph.so.0 (0x401dd000)
    libcdt.so.0 => /usr/lib/graphviz/libcdt.so.0 (0x401e7000)
    libc.so.6 => /lib/libc.so.6 (0x401ec000)
    /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)

Create my file:

[igb@dhcp-172-16-48-184 fjwan]$ rm pdf/org.pdf
[igb@dhcp-172-16-48-184 fjwan]$ make pdf/org.pdf
dot -Tps2 < org.dot > pdf/org.ps
ps2pdf pdf/org.ps pdf/org.pdf
rm pdf/org.ps
[igb@dhcp-172-16-48-184 fjwan]$ mv pdf/org.pdf pdf/org-1.16.pdf

Revert version with: rpm --install --force ../graphviz-1.12-1.i386.rpm

[igb@dhcp-172-16-48-184 fjwan]$ type dot
dot is hashed (/usr/bin/dot)
[igb@dhcp-172-16-48-184 fjwan]$ dot -V
dot version 1.12 (Wed Jul 28 14:55:03 UTC 2004)
[igb@dhcp-172-16-48-184 fjwan]$ ldd /usr/bin/dot
    libexpat.so.0 => /usr/lib/libexpat.so.0 (0x40032000)
    libpathplan.so.0 => /usr/lib/graphviz/libpathplan.so.0 (0x40052000)
    libgraph.so.0 => /usr/lib/graphviz/libgraph.so.0 (0x4005e000)
    libcdt.so.0 => /usr/lib/graphviz/libcdt.so.0 (0x40068000)
    libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x4006d000)
    libpng.so.2 => /usr/lib/libpng.so.2 (0x400bf000)
    libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0x400e1000)
    libz.so.1 => /usr/lib/libz.so.1 (0x400ff000)
    libm.so.6 => /lib/libm.so.6 (0x4010d000)
    libc.so.6 => /lib/libc.so.6 (0x4012e000)
    /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)

[igb@dhcp-172-16-48-184 fjwan]$ make pdf/org.pdf
dot -Tps2 < org.dot > pdf/org.ps
ps2pdf pdf/org.ps pdf/org.pdf
rm pdf/org.ps
[igb@dhcp-172-16-48-184 fjwan]$ mv pdf/org.pdf pdf/org-1.12.pdf

\<A HREF="b555a.pdf"\>1.12 output\</A\>.

[ellson]
OK, this is a bug with estimating text size when using internal fonts of last resort. It is fixed in the nightly snapshots available from:

   http://www.graphviz.org/ [^]

You can see what font is being used by adding the "-v" switch.
You might want to include some .ttf font directories in GDFONTPATH.
TagsNo tags attached.
AUXILLARY-FILEShttp://www.graphviz.org/bugs/b555a.pdf [^]
DATE-FIXED
FIX-COMMENT
FORMER-ID555
INPUT-FILE
OUTPUT-FILEhttp://www.graphviz.org/bugs/b555.pdf [^]
STATUS-COMMENTFixed (25 Oct 2004)
VERSION   1.16
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-04-28 04:02 user1 New Issue
2011-04-28 04:02 user1 Assigned To => user695


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker